Subject: Re: draft-sarikaya-v6ops-prefix-delegation

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 17 Jun 2010 13:32:58 -0700 (PDT)

Hi Qiang,

>
>From: Qiang Zhao <[email-masked]>
>To: "[email-masked]" <[email-masked]>
>Sent: Sun, June 13, 2010 3:51:10 AM
>Subject: draft-sarikaya-v6ops-prefix-delegation
>
>
>Hi, 
>One question of section 3.1:
>“ There are two function modules in the AR, DHCP Client and DHCP Relay.
>   DHCP messages should be relayed if the AR and a DHCP server are not
>   connected directly, ”
>I agree that the messages should be relayed when AR and DHCP server are not connected directly(I guess it means not in the same link), but is it necessary that AR generates the relay-forward message?
>The AR is always the creator of DHCP client messages, so I think it is a DHCP client, not a relay agent. There is no help for routing by sending a relay-forward instead of a common client message such as a REQUEST. Is there any other benefits for doing that?
> 
> 
[behcet]

Yes DHCP REQUEST can be used but when DHCP server is in the same link. Otherwise you need a Relay and these relay messages.

Is this clear? If not let me know.

Regards,

Behcet